apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ingress-rules
  namespace: f2ds
  annotations:
   ingress.kubernetes.io/rewrite-target: /
   nginx.ingress.kubernetes.io/use-regex: "true"
spec:
  rules: 
  - host: f2os.eosc-pillar.eu 
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: ffds-register
            port:
              number: 80
      - path: /harvester/*
        pathType: Prefix
        backend:
          service:
            name: smartharvester
            port:
              number: 8080               
  tls:
  - hosts:
    - f2os.eosc-pillar.eu
    secretName: ffds-tls
